//
// Created by tim on 05.04.23.
//

#ifndef CTUAPEX_FUNCTIONFINDERVISITOR_H
#define CTUAPEX_FUNCTIONFINDERVISITOR_H

#include <clang/AST/RecursiveASTVisitor.h>
#include <clang/AST/ASTContext.h>
#include <Callgraph.h>


//Der visitor ist der teil, der tatsächlich die knoten des AST besucht.
class FunctionFinderVisitor : public clang::RecursiveASTVisitor<FunctionFinderVisitor> {
public:
    explicit FunctionFinderVisitor(metacg::Callgraph* callgraph) : callgraph(callgraph){}

    //This visits function declarations with the visitor pattern
    bool VisitFunctionDecl(clang::FunctionDecl *functionDecl);

private:
    metacg::Callgraph* callgraph;
};


#endif //CTUAPEX_FUNCTIONFINDERVISITOR_H
